import {GPIO} from "./gpio";
import {FileHandler} from "./file_handler";
import {Server} from "./server";
import {PythonWebcam} from "./python_webcam";

export class Utils {
    private static flashlight: GPIO;

    static load() {
        this.flashlight = GPIO.getPin(20, 'out');
    }

    static async delete_last() {
        console.log("Delete fired!");

        let last_shots = await FileHandler.getLastImages();
        let last = last_shots[0];

        if (last.locked) {
            Server.io.emit("deleting", false);
        } else {
            Server.io.emit("deleting", true);
            await FileHandler.deleteLastImage();
            await Server.sendRecentPhotos();
        }
    }

    public static capture() {
        console.log("Capture fired!");
        Server.io.emit("capturing", 3);

        setTimeout(async () => {
            try {
                this.flashlight.setHigh();
            } catch (e) {

            }
        }, 2500);
        setTimeout(async () => {
            let base64_string = await PythonWebcam.captureImage();
            Server.io.emit("captured", base64_string);


            try {
                this.flashlight.setLow();
            } catch (e) {

            }
        }, 3000);
    }
}